Slony-I 2.2.10 Documentation
Prev | Fast Backward | Chapter 8. Schema schemadoc | Fast Forward | Next

# 8.58. enable_indexes_on_table(i_oid oid)

Function Properties

Language: PLPGSQL

Return Type: integer

re-enable indexes on the specified table. This may be set as a SECURITY DEFINER in order to eliminate the need for superuser access by Slony-I.

    begin
    	update pg_catalog.pg_class set relhasindex ='t' where oid = i_oid;
    	return 1;
    end

Prev | Home | Next
dropset_int(p_set_id integer) | Up | enablenode(p_no_id integer)